390 likes | 418 Views
This project outlines approximation algorithms for geometric intersection graphs, focusing on the maximum independent set problem for unit disk graphs. By presenting polynomial-time approximation schemes, the project aims to find the maximum independent set of disjoint disks on the plane. The approach involves a recursive subdivision of the plane and shifting strategies to improve the greedy algorithm. The techniques discussed offer a PTAS with a ratio close to the optimal solution. The algorithm partitions the plane using vertical and horizontal lines and then solves each strip independently, ensuring a solution output close to the optimal cardinality.
E N D
Outline • Definitions • Problem description • Techniques • Shifting strategy
Definitions • Intersection graph • Given a set of objects on the plane • Each object is represented by a vertex • There is an edge between two vertices if the corresponding objects intersect • It can be extended to n-dimensional space • Applications [4] • Wireless networks (frequency assignment problems) • Map labeling • ……
Definitions • Intersection graphs (cont.) • Examples: Geometric representation Intersection graph
Definitions • ρ-approximation algorithm for optimization problems • Runs in polynomial time • Approximation ratio ρ • Min: Approx/OPT ≤ρ • Max: OPT/Approx ≤ρ • PTAS: Polynomial Time Approximation Scheme • Is a class of approximation algorithms • ρ = 1 + εfor every constant ε> 0
Problem description • A unit disk graph is the intersection graph of a set of unit disks in the plane. • We present polynomial-time approximation schemes (PTAS) for the maximum independent set problem (selecting disjoint disks). • The idea is based on a recursive subdivision of the plane. They can be extended to intersection graphs of other “disk-like” geometric objects (such as squares or regular polygons), also in higher dimensions.
Independent Set • Maximum Independent Set for disk graphs • Given a set S of disks on the plane, find a subset IS of S such that for any two disks D1,D2IS, are disjoint • |IS| is maximized. • We are given a set of unit disks and want to compute a maximum independent set, i.e., a subset of the given disks such that the disks in the subset are pairwise disjoint and their cardinality is maximized.
Independent set We will start with simple greedy-type algorithm 0 1 2 3 4 5 6 7 8
Independent set We will start with simple greedy-type algorithm 0 1 2 3 4 5 6 7 8
Independent set We will start with simple greedy-type algorithm 0 1 2 3 4 5 6 7 8
Independent set Can we improve the greedy algorithm? 0 1 2 3 4 5 6 7 8
PTAS Running time Ratio What known? (Using shifting strategy) • Max-Independent Set • Unit disk graph (UDG): nO(k) 1/(1-2/k) • Weighted disk graph (WDG): nO(k2) 1/(1-1/k)2 • Min-Vertex Cover • UDG: nO(k2) (1+1/k)2 • WDG: nO(k2) 1+6/k • Min-Dominating Set • UDG: nO(k3) (1+1/k)2 • WDG:???? ρ
Independent set We start by simple intuition 0 1 2 3 4 5 6 7 8
Independent set We start by simple intuition 0 1 2 3 4 5 6 7 8
Independent set We start by simple intuition 0 1 2 3 4 5 6 7 8 K1: the squares of OPT on even lines. K2: the squares of OPT on odd lines. OPT= k1+k2
Shifting strategy • Ideas: • Partition the plane using vertical and horizontal equally separated lines • Number vertical lines from bottom to top with 0, 1, … • Given a constant k, there is a group of vertical (horizontal) lines whose line numbers≡ r(mod k) and the number of disks that intersect those lines is not larger than 1/k of total number of disks.
Shifting strategy • Example for unit disk graph: k = 3 0 1 2 3 4 5 6 7 8
Shifting strategy • Example
Shifting strategy • We can solve each strip independently. • Let assume we can solve each strip. • Let Aibe the value of the solution of shift i. • Let OPT denote the optimal solution. • Let OPTibe the disks of OPT intersecting active lines in shift i. • OPT = OPT1+ OPT2+ …+OPTk
Shifting strategy • Example
Shifting strategy • For each pair of integers ( i , j ) such that 0 ≤i, j < k Let Di,jbe the subset of disks obtained by removing all disks that intersects a vertical line at x = i + kp (p is integer) and horizontal line at x = j + kp (p is integer) • We left with disjoint squares of side length k • One square can contain at most O(k2) disks.
Shifting strategy • The Cardinality of the solution output is at least (1 – 2 / k ) OPT • Each disk intersects only one horizontal line and one vertical line. • There exists a value of i such that at most OPT/k disks in OPT intersects vertical lines x = i + kp Similarly, there is a value of j such that at most OPT/k disks in OPT intersects horizontal lines x = j + kp • The set Di,jstill contains an independent set of size at most (1 – 2 / k ) OPT.
Shifting strategy • Our algorithm computes a maximum independent set in each Di,j the largest such set must have cardinality at least (1 – 2 / k ) OPT • For given ε > 0 we choose k = ┌2/ ε┐to obtain (1 – ε) OPT • The running time is |D|O(k2)
Problem description • Min-Dominating Set for disk graphs • Given a set S of disks on the plane, find a subset DS of S such that for any disk DS, • D is either in DS, or • D is adjacent to some disk in DS. • |DS| is minimized. • Whether MDS for disk graph has a PTAS or not is still an open question. In my project, I first assume it exists, and then try to find a PTAS using existing techniques.
References • [1] B. S. Baker, Approximation algorithms for NP-complete Problems on Planar Graphs, J. ACM, Vol. 41, No. 1, 1994, pp. 153-180 • [2] T. Erlebach, K. Jansen, and E. Seidel, Polynomial-time approximation schemes for geometric intersection graphs, Siam J. Comput. Vol. 34, No. 6, pp. 1302-1323 • [3] Harry B. Hunt III, M. V. Marathe, V. Radhakrishnan, S. S. Ravi, D. J. Rosenkrantz, R. E. Stearns,NC-approximation schemes for NP- and PSPACE-hard problems for geometric graphs, J. Algorithms, 26 (1998), pp. 238–274. • [4] http://www.tik.ee.ethz.ch/~erlebach/chorin02slides.pdf